package com.qmrz;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.data.redis.RedisAutoConfiguration;
import org.springframework.boot.autoconfigure.data.redis.RedisRepositoriesAutoConfiguration;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.transaction.annotation.EnableTransactionManagement;

@Slf4j
@SpringBootApplication(exclude={RedisAutoConfiguration.class,
        RedisRepositoriesAutoConfiguration.class})
@EnableTransactionManagement
@EnableCaching
public class CodeGenerator {
    public static void main(String[] args) {
        SpringApplication.run(CodeGenerator.class, args);
    }
}
