package com.qmrz.controller.a1;

import com.qmrz.controller.base.BaseController;
import com.qmrz.service.${table_name2}Service;
import com.qmrz.utils.ExportPOIUtils;
import com.qmrz.utils.RD;
import com.qmrz.utils.Web;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.io.IOException;
import java.util.List;
import java.util.Map;

/**
 * ${table_name}，${table_comment}
 * Automatic generation
 */
@Slf4j
@RequestMapping("/a1/${table_name}")
@RestController
public class ${table_name2}Controller extends BaseController {
    ${table_name2}Service ${table_name}Service;
    public ${table_name2}Controller(${table_name2}Service ${table_name}Service){
        super(${table_name}Service);
        this.${table_name}Service = ${table_name}Service;
    }

    @RequestMapping("insert")
    @Override
    public RD insert(@RequestBody Map insertData) {
        return RD.failure("未开启 insert 操作");
    }

    @RequestMapping("update")
    @Override
    public RD update(@RequestBody Map<String,Object> data) {
        return RD.failure("未开启 update 操作");
    }

    @RequestMapping("delete")
    @Override
    public RD delete(@RequestBody Map where) {
        return RD.failure("未开启 delete 操作");
    }

    /**
     * 导出excel
     * @param map
     */
    @RequestMapping("export")
    public void export(@RequestBody Map<String, String> map) {
        //db字段名
        String dbColumn[] = {<#list columnList as item>"${item.column_name}"<#if item_has_next>,</#if></#list>};
        //excel列名
        String excelColumn[] = {<#list columnList as item>"${item.column_name_show_name}"<#if item_has_next>,</#if></#list>};
        List<Map> resultList = this.${table_name}Service.selectList(map);
        try {
            ExportPOIUtils.start_download(Web.getResponse(), "${table_name}", resultList, excelColumn, dbColumn);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
