package com.qmrz.dto;

import com.qmrz.admin.AdminLogin;
import com.qmrz.exception.ABException;
import lombok.Data;

@Data
public class ParamCustomer {
    private Integer customerid = AdminLogin.getCustomerInfo().getCustomerID();

    public ParamCustomer setCustomerid(Integer customerid){
        throw new ABException("customerid不允许set，请使用_set");
    }

    public ParamCustomer _setCustomerid(Integer customerid){
        this.customerid = customerid;
        return this;
    }
}
