package com.qmrz.dto;

import lombok.Data;

@Data
public class ParamIDPageDTO extends ParamPageDTO {
    private Integer id;

    public ParamIDPageDTO() {
    }

    public ParamIDPageDTO(Integer id) {
        this.id = id;
    }

    public ParamIDPageDTO(Integer id, ParamPageDTO pageDTO) {
        this.id = id;
        this.setPageIndex(pageDTO.getPageIndex());
        this.setPageSize(pageDTO.getPageSize());
    }

    public static ParamIDPageDTO newdto(Integer id) {
        return new ParamIDPageDTO(id);
    }

    public static ParamIDPageDTO newdto(Integer id, ParamPageDTO pageDTO) {
        return new ParamIDPageDTO(id, pageDTO);
    }
}
