package com.qmrz.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;

@Data
public class SecurityAdminDTO implements Serializable {
    private static final long serialVersionUID = 1922126787657987938L;
    private Integer id;
    private String username;
    private String password;

    /**
     * 角色列表
     */
    private HashMap<String,List<String>> roles;

    /**
     * 权限列表
     */
    private List<String> funs;
    /**
     * 是否超级管理员
     */
    private Integer issuper;

    private Integer islock;

    private Long addtime;

    private Long updatetime;
}
