package com.qmrz.mybatis;

import lombok.Data;
import org.apache.commons.lang.StringUtils;

import java.util.List;

/**
 * 实体属性与DB字段
 */
@Data
public class PO {
    private String tableNameByDB;
    private List<POPropertie> fieldList;
    private Class<?> entityClass;
    private String schemasName;

    public String getTableNameByDBAll() {
        if (StringUtils.isEmpty(this.schemasName)) {
            return this.tableNameByDB;
        } else {
            return this.schemasName + "." + this.tableNameByDB;
        }
    }
}
