package com.qmrz.mybatis;

import lombok.AllArgsConstructor;
import lombok.Data;

import java.lang.reflect.Field;

/**
 * 实体属性与DB字段
 */
@Data
@AllArgsConstructor
public class POPropertie {
    private String fieldName;
    private String fieldNameByDB;
    private Field field;
    private Class<?> javaType;
    /**
     * 默认为null，若不为null，则对应db类型字段串
     */
    private String dbType;
    /**
     * 0：无排序 1：asc 2：desc
     */
    private int orderByStatus;
    private int orderByIndex;
    private boolean isPrimarykey;
}
