package com.qmrz.mybatis.sql.statement;

import com.qmrz.mybatis.sql.AbsWrapperData;
import lombok.Data;

import java.util.Map;

/**
 * sql:  from tableName
 */
@Data
public class FromTable extends AbsWrapperData {
    private StringBuilder sql;
    public FromTable( Class<?> classPO) {
        super(2, 0, 0, classPO);
        load();
    }

    private void load(){
        this.sql = sqlUtil.fromTable();
    }

    @Override
    public StringBuilder getSQL() {
        return new StringBuilder().append(this.sql);
    }

    @Override
    public Map<String, Object> getParam() {
        return null;
    }

    @Override
    protected void renameByParamName() {
    }
}
