package com.qmrz.mybatis.sql.statement;

import com.qmrz.mybatis.sql.AbsWrapperData;
import lombok.Data;

import java.util.Map;

/**
 * sql:  from tableName
 */
@Data
public class Limit extends AbsWrapperData {
    private Integer limit1;
    private Integer limit2;

    public Limit(Class<?> classPO, Integer limit1, Integer limit2) {
        super(6, 0, 0, classPO);
        this.limit1 = limit1;
        this.limit2 = limit2;
        load();
    }

    private void load() {

    }

    @Override
    public StringBuilder getSQL() {
        StringBuilder sql = new StringBuilder();
        if (limit1 != null && limit2 != null) {
            sql.append(" limit " + limit1 + "," + limit2);
        }else if (limit1 != null) {
            sql.append(" limit " + limit1);
        }
        return sql;
    }

    @Override
    public StringBuilder getSQLLimit() {
        StringBuilder sql = new StringBuilder();
        if (limit1 != null && limit2 != null) {
            sql.append(" limit " + limit1 + "," + limit2);
        }else if (limit1 != null) {
            sql.append(" limit " + limit1);
        }
        return sql;
    }

    @Override
    public Map<String, Object> getParam() {
        return null;
    }

    @Override
    protected void renameByParamName() {
    }
}
