package com.qmrz.mybatis.sql.statement;

import com.qmrz.mybatis.sql.AbsWrapperData;
import lombok.Data;

import java.util.Map;

/**
 * sql: select a,b,c ....
 */
@Data
public class SelectAllField extends AbsWrapperData {
    private StringBuilder sql;
    public SelectAllField(Class<?> classPO) {
        super(1, 0, 0, classPO);
        load();
    }

    private void load(){
        this.sql = sqlUtil.selectAllColumns();
    }

    @Override
    public StringBuilder getSQL() {
        return new StringBuilder().append(this.sql);
    }

    @Override
    public Map<String, Object> getParam() {
        return null;
    }

    @Override
    protected void renameByParamName() {
    }
}
