package com.qmrz.mybatis.sql.statement;

import com.qmrz.mybatis.sql.AbsWrapperData;

import java.util.Map;

/**
 * sql: update tableName set a=#{a},b=#{b}....
 */
public class UpdateSet extends AbsWrapperData {
    private StringBuilder sql;
    private Map<String, Object> paramUpdateSet;
    public UpdateSet(Class<?> classPO, Map<String, Object> paramUpdateSet) {
        super(20, 0, 0, classPO);
        this.paramUpdateSet = paramUpdateSet;
        load();
    }

    private void load(){
        this.sql = sqlUtil.updateSet(paramUpdateSet.keySet());
    }

    @Override
    public StringBuilder getSQL() {
        return new StringBuilder(this.sql);
    }

    @Override
    public Map<String, Object> getParam() {
        return paramUpdateSet;
    }

    @Override
    protected void renameByParamName() {

    }
}
