package com.qmrz.utils;

import net.sf.ehcache.Cache;
import net.sf.ehcache.CacheManager;
import net.sf.ehcache.Element;
import java.io.Serializable;

public class CacheUtil {
    public static Cache getCache() {
        CacheManager cacheManager = SpringContextUtil.getBean(CacheManager.class);
        Cache cache = cacheManager.getCache("userCache");
//        CacheConfiguration config = cache.getCacheConfiguration();
//        config.setTimeToIdleSeconds(60);
//        config.setTimeToLiveSeconds(timeToLiveSeconds);
        return cache;
    }

    public static Element get(String name) {
        return getCache().get(name);
    }

    public static void put(String name, Serializable value, int timeToLive) {
        Element el = new Element(name, value);
        el.setTimeToLive(timeToLive);
        getCache().put(el);
    }
}
