package com.qmrz.utils.http;

import lombok.*;

import java.util.List;
import java.util.Map;

@AllArgsConstructor
@NoArgsConstructor
@Data
@ToString
public class HttpResult {
    private Integer responseStatus;
    private String responseBody;
    private String message;
    /**
     * 响应头
     */
    private Map<String,List<String>> responseHeader;
}
