package com.qmrz.utils.tree;

import lombok.Data;

import java.util.List;

@Data
public class TreeNode<T> {
    private Integer id;
    private Integer pid;
    private T item;
    private Integer level;
    private List<TreeNode<T>> children;

    public TreeNode(int id, int pid, T item) {
        this.id = id;
        this.pid = pid;
        this.item = item;
    }
}
