package com.qmrz.generator;

import java.util.List;
import java.util.Map;

/**
 * 生成基础工具
 * @Author: suger
 */
public class GeneratorUtil {
    /**
     * 增加显示名
     * @param columnList
     */
    public static void setColumnShowName(List<Map> columnList){
        for (Map item : columnList) {
            String column_name_show_name = String.valueOf(item.get("column_comment"));
            int space_indexof = column_name_show_name.indexOf(" ");
            if (space_indexof > 0) {
                column_name_show_name = column_name_show_name.substring(0, space_indexof).trim();
            }
            if (column_name_show_name.trim().length() == 0) {
                column_name_show_name = String.valueOf(item.get("column_name")).trim();
            }

            item.put("column_name_show_name", column_name_show_name);//获取注释的第一个单词，到英文空格为止
        }
    }
}
