package com.qmrz.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 数据库配置信息
 */
@Component
@Data
@ConfigurationProperties(prefix = "uploadfile")
public class ConfigUploadFileInfo {
    private Long size;//byte
    private String path;
    private int picMaxWidth;//px
    private int picMaxHeight;//px
}
