package com.qmrz.dto;

import com.qmrz.admin.AdminLogin;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

@Data
@Slf4j
public class ParamIDDTO {
    private Integer id;
    private Integer customerid;

    public ParamIDDTO setCustomerid(Integer customerid) {
        log.warn("customerid不允许set，请使用_set");
        return this;
    }

    public ParamIDDTO _setCustomerid(Integer customerid) {
        this.customerid = customerid;
        return this;
    }

    public ParamIDDTO() {
        this.customerid = AdminLogin.getCustomerInfo().getCustomerID();
    }

    public ParamIDDTO(Integer id) {
        this.id = id;
        this.customerid = AdminLogin.getCustomerInfo().getCustomerID();
    }

    public ParamIDDTO(Integer id, Integer customerid) {
        this.id = id;
        this.customerid = customerid;
    }

    public static ParamIDDTO newdto(Integer id) {
        return new ParamIDDTO(id);
    }

//    @Override
//    public String toString() {
//        return id.toString();
//    }
}
