package com.qmrz.dto;

import com.qmrz.admin.AdminLogin;
import lombok.Data;
import lombok.extern.slf4j.Slf4j;

@Data
@Slf4j
public class ParamNameDTO {
    private String name;
    private Integer customerid;

    public ParamNameDTO setCustomerid(Integer customerid){
        log.warn("customerid不允许set，请使用_set");
        return this;
    }

    public ParamNameDTO _setCustomerid(Integer customerid){
        this.customerid = customerid;
        return this;
    }

    public ParamNameDTO() {
        this.customerid = AdminLogin.getCustomerInfo().getCustomerID();
    }

    public ParamNameDTO(String name) {
        this.name = name;
        this.customerid = AdminLogin.getCustomerInfo().getCustomerID();
    }

    public ParamNameDTO(String name,Integer customerid) {
        this.name = name;
        this.customerid = customerid;
    }

    public static ParamNameDTO newdto(String name) {
        return new ParamNameDTO(name);
    }
}
