package com.qmrz.mybatis;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.support.BeanDefinitionRegistry;

@Slf4j
public class MapperScannerConfigurer extends org.mybatis.spring.mapper.MapperScannerConfigurer {
    public void setMarkerInterface(Class<?> superClass) {
        log.info("setMarkerInterface");
        log.info(superClass.getName());
        super.setMarkerInterface(superClass);
//        this.markerInterface = superClass;
//        if (Marker.class.isAssignableFrom(superClass)) {
//            mapperHelper.registerMapper(superClass);
//        }
    }
    @Override
    public void postProcessBeanDefinitionRegistry(BeanDefinitionRegistry registry) {
        log.info("postProcessBeanDefinitionRegistry");

        super.postProcessBeanDefinitionRegistry(registry);


    }

    @Override
    public void afterPropertiesSet() throws Exception {
        log.info("afterPropertiesSet");

        super.afterPropertiesSet();

    }
}
