package com.qmrz.utils.validate;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;
import java.util.regex.Pattern;

public class PhoneMultiValidate implements ConstraintValidator<PhoneMulti,String> {

    private Pattern pattern = Pattern.compile("^(,?[1][0-9]{10})+$");

    @Override
    public boolean isValid(String value, ConstraintValidatorContext context) {
        if (value == null) {
            return false;
        }
        return pattern.matcher(value).matches();
    }
}
